com.rscja.team.qcom.r1.psam

## Class PSAM

- java.lang.Object
- - com.rscja.team.qcom.r1.psam.PSAM

- All Implemented Interfaces:
    IPSAM

      public class PSAM
      extends java.lang.Object
      implements IPSAM

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSAM(R1HFUSB usb)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `free(byte cSlotNum)` 释放PSAM(Release PSAM)
    `boolean` | `init(byte cSlotNum)` 始化PSAM(Initialize PSAM)
    `byte[]` | `reset(byte cSlotNum)` 重置PSAM卡(reset smart card )
    `byte[]` | `transferCmd(byte cSlotNum, byte[] pcInCmd)` 传输psam命令(smart card transfer command)

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PSAM

          public PSAM(R1HFUSB usb)

  - ### Method Detail

    - #### init

          public boolean init(byte cSlotNum)

      始化PSAM(Initialize PSAM)
      Specified by:
        `init` in interface `IPSAM`
      Parameters:
        `cSlotNum` - psam卡槽0,1 (Card slot,value:0,1)
      Returns:
        true:success false:fail

    - #### free

          public boolean free(byte cSlotNum)

      释放PSAM(Release PSAM)
      Specified by:
        `free` in interface `IPSAM`
      Parameters:
        `cSlotNum` - psam卡槽0,1 (Card slot,value:0,1)
      Returns:
        true:success false:fail

    - #### reset

          public byte[] reset(byte cSlotNum)

      重置PSAM卡(reset smart card )
      Specified by:
        `reset` in interface `IPSAM`
      Returns:
        success will return HF14443RequestEntity data, failure will return null.

    - #### transferCmd

          public byte[] transferCmd(byte cSlotNum,
                                    byte[] pcInCmd)

      传输psam命令(smart card transfer command)
      Specified by:
        `transferCmd` in interface `IPSAM`
      Returns:
        success will return HF14443RequestEntity data, failure will return null.